# generated automatically by aclocal 1.7.9 -*- Autoconf -*-

# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

dnl AC_TRY_CFLAGS (CFLAGS, [ACTION-IF-WORKS], [ACTION-IF-FAILS])
dnl check if $CC supports a given set of cflags
AC_DEFUN([AC_TRY_CFLAGS],
    [AC_MSG_CHECKING([if $CC supports $1 flags])
    SAVE_CFLAGS="$CFLAGS"
    CFLAGS="$1"
    AC_TRY_COMPILE([],[],[ac_cv_try_cflags_ok=yes],[ac_cv_try_cflags_ok=no])
    CFLAGS="$SAVE_CFLAGS"
    AC_MSG_RESULT([$ac_cv_try_cflags_ok])
    if test x"$ac_cv_try_cflags_ok" = x"yes" ; then
        ifelse([$2],[],[:],[$2])
    else
        ifelse([$3],[],[:],[$3])
    fi])

dnl AC_TRY_VALID_CFLAGS (CFLAGS)
dnl check if $CC supports a given set of cflags - only leave valid flags in set
AC_DEFUN([AC_TRY_VALID_CFLAGS],
    [ac_cv_try_valid_cflags=""
    for i in ${$1}; do
      AC_TRY_CFLAGS($i, ac_cv_try_valid_cflags="$ac_cv_try_valid_cflags $i")
    done
    $1=$ac_cv_try_valid_cflags])

dnl AC_TRY_FIRST_VALID_CFLAG (CFLAGS)
dnl check if $CC supports a given set of cflags - only leave the first valid
dnl flag in the set
AC_DEFUN([AC_TRY_FIRST_VALID_CFLAG],
    [ac_cv_try_valid_cflags=""
    for i in ${$1}; do
      if test x$ac_cv_try_valid_cflags = x ; then
        AC_TRY_CFLAGS($i, ac_cv_try_valid_cflags=$i)
      fi
    done
    $1=$ac_cv_try_valid_cflags])

dnl AC_TRY_FIRST_VALID_ARCH (CFLAGS)
dnl check if $CC supports a given set of arch flags - only leave the first valid
dnl flag in the set
AC_DEFUN([AC_TRY_FIRST_VALID_ARCH],
    [ac_cv_try_valid_cflags=""
    for i in ${$1}; do
      if test x$ac_cv_try_valid_cflags = x ; then
        AC_TRY_CFLAGS(-mcpu=$i, ac_cv_try_valid_cflags=$i)
      fi
    done
    $1=$ac_cv_try_valid_cflags])

dnl AC_TRY_CPU (FUNCTION, INSN)
dnl check if a) $CC supports insn b) if CPU supports insn
dnl Sets a define of HAVE_${FUNCTION} to 1 if compiler can compile insn
dnl or 2 if it can be compiled and executed.
dnl Global var ac_cv_opt_cflags_insn must be yes to test and set execution
dnl of insn.
AC_DEFUN([AC_TRY_CPU],
  [if test x$ac_cv_opt_cflags_insn = x ; then
    AC_MSG_ERROR(ac_try_cpu called before ac_opt_cflags!)
  fi
  ac_try_cpu_have_$1=0
  AC_ARG_ENABLE($1, [  --enable-$1        enable $1 code [default=yes]])
  if test x${enable_$1-yes} = xyes ; then
    AC_MSG_CHECKING(for $1-capable compiler)
    AC_TRY_COMPILE(, [__asm__ __volatile__ ("$2\n\t")], ac_try_cpu_have_$1=1)
    if test x${ac_try_cpu_have_$1} = x1 ; then
      AC_MSG_RESULT(yes)
      if test x$ac_cv_opt_cflags_insn = xyes ; then
        AC_MSG_CHECKING(for $1-capable CPU)
        AC_TRY_RUN([
	  int main(void)
	  {__asm__ __volatile__ ("$2\n\t"); return 0;}], ac_try_cpu_have_$1=2)
        if test x${ac_try_cpu_have_$1} = x2 ; then
          AC_MSG_RESULT(yes)
        else
          AC_MSG_RESULT(no)
        fi
      fi
    else
      AC_MSG_RESULT(no)
    fi
    AC_DEFINE_UNQUOTED(HAVE_$1, ${ac_try_cpu_have_$1}, $1)
  fi])

dnl AC_OPT_X86_EXT
dnl X86 processor feature detection. Using first instance as an example.
dnl Try compile a program with inline assembly instruction
dnl "psubusb %mm1, %mm2". If it compiles, set a config.h define for
dnl HAVE_X86_MMX=1. Next, if USE_CPU_INSN=yes, try to execute the
dnl instruction, if it executes, set HAVE_X86_MMX=2.
dnl Repeat with specific instructions for all features we wish to detect.
AC_DEFUN([AC_OPT_X86_EXT],
  [AC_TRY_CPU(X86_MMX, [pmulhw %mm1, %mm2])
  AC_TRY_CPU(X86_MMXEXT, [pmulhuw %mm1, %mm2])
  AC_TRY_CPU(X86_SSE, [mulps %xmm1, %xmm2])
  AC_TRY_CPU(X86_SSE2, [mulpd %xmm1, %xmm2])
  AC_TRY_CPU(X86_3DNOW, [pfmul %mm1, %mm2])
  AC_TRY_CPU(X86_3DNOWEXT, [pfnacc %mm1, %mm2])])

dnl AC_OPT_CFLAGS (DEFAULT)
dnl Setup CFLAGS and OPT_CFLAGS.
dnl 1) if cflags is passed to configure, use these.
dnl 2) add any CFLAGS passed in "default".
dnl 3) check configure option en/disable-cpu_insn and set
dnl    $ac_cv_opt_cflags_insn accordingly.
dnl 4) check configure option --with-cpu.
dnl    if it is "yes" (default) determine current cpu.
dnl    if it is "host" optimise for ac_canonical_host.
dnl    if it is "build" optimise for ac_canonical_build.
dnl    if it is "target" optimise for ac_canonical_target.
dnl    if it is "no" do not optimise for specific cpu.
dnl    otherwise use this value as the cpu type
dnl 5) determine optimum flags for cpu.
dnl 6) generate CFGLAGS and OPT_CFLAGS from this.
dnl
dnl 4 (contd.) when determining the current CPU type:
dnl   1. check /proc/cpuinfo for the field "model name" (Linux)
dnl   2. check sysctl -a for the field "hw.model" (BSD)
dnl   3. use $host_cpu
dnl
dnl Extra options:
dnl   --[en|dis]able-optimise
dnl        Enable / disable optimisations.  Defaults to enabled
dnl   --[en|dis]able-debug
dnl        Enable / disable debugging. Defaults to disabled.
dnl        Enabling implies --disable-optimise
AC_DEFUN([AC_OPT_CFLAGS],
 [if test x$ac_cv_opt_cflags_insn = x ; then
    AC_MSG_NOTICE(Beginning CFLAG optimisation)

    dnl --en/disable-cpu_insn argument
    AC_ARG_ENABLE(cpu_insn,
      [  --enable-cpu_insn          enable cpu specific instructions [default=yes]])
    if test x${enable_cpu_insn-yes} = xyes ; then
      ac_cv_opt_cflags_insn=yes
    else
      ac_cv_opt_cflags_insn=no
    fi

    dnl --cpu argument
    AC_ARG_WITH(cpu,
      [  --with-cpu=cpu type        choose CPU to optimise for (default=yes=current CPU)],
      ac_cv_opt_cflags_use_cpu=$withval,
      ac_cv_opt_cflags_use_cpu=yes)

    dnl handle default CFLAGS
    if test "x${ac_test_CFLAGS}" = xset ; then
      CFLAGS="$1 $CFLAGS"
    else
      CFLAGS="$1"
    fi

    dnl --en/disable-optimise argument
    AC_ARG_ENABLE(optimise,
      [  --enable-optimise          enable cflag optimisations [default=yes]])
    if test x${enable_optimise-yes} = xyes ; then
      AC_MSG_NOTICE(CFLAG optimisations enabled)
    else
      AC_MSG_NOTICE(CFLAG optimisations disabled)
      ac_cv_opt_cflags_use_cpu="nom"
    fi

    dnl --en/disable-debug argument
    AC_ARG_ENABLE(debug,
      [  --enable-debug          enable debug cflags [default=no]])
    if test x${enable_debug-no} = xyes ; then
      AC_MSG_NOTICE(Debug CFLAGS enabled)
      ac_cv_opt_cflags_use_cpu="debug"
    fi

    dnl handle cpu type detection if requested
    if test x$ac_cv_opt_cflags_use_cpu = xyes ; then
      AC_MSG_NOTICE(Attempting to determine host CPU type...)

      dnl Linux /proc/cpuinfo
      ac_cv_opt_cflags_tmp=`cat /proc/cpuinfo | grep "model name" | cut -f 2 -d : | cut -f 2- -d" " | cut -f 1 -d "
" | gawk '{gsub(/ [[0-9]]+\+/,""); print;}'`
      if test x"$ac_cv_opt_cflags_tmp" = x"" ; then
        AC_MSG_NOTICE(Linux style /proc/cpuinfo not found...)
      fi

      dnl If we haven't got it yet, try BSD style sysctl
      if test x"$ac_cv_opt_cflags_tmp" = x"" ; then
        ac_cv_opt_cflags_tmp=`sysctl -a | grep "hw.model" | cut -f 2 -d : | cut -f 2- -d" " | cut -f 1 -d "
"`
      fi
      if test x"$ac_cv_opt_cflags_tmp" = x"" ; then
        AC_MSG_NOTICE(BSD style sysctl not found...)
      fi

      dnl Any others?
      dnl Fall back to $host_cpu
      case x"$ac_cv_opt_cflags_tmp" in
        x"AMD Athlon(tm) XP") ac_cv_opt_cflags_use_cpu=k7;;
        x"AMD Athlon(TM) XP") ac_cv_opt_cflags_use_cpu=k7;;
        x"AMD Athlon(tm) processor") ac_cv_opt_cflags_use_cpu=k7;;
        x"AMD Athlon(tm) Processor") ac_cv_opt_cflags_use_cpu=k7;;
        x"AMD Duron(tm) Processor") ac_cv_opt_cflags_use_cpu=k7;;
        x"AMD-K6(tm) 3D processor") ac_cv_opt_cflags_use_cpu=k6;;
        x"Pentium II (Deschutes)") ac_cv_opt_cflags_use_cpu=i686;;
        x"Pentium II (Klamath)") ac_cv_opt_cflags_use_cpu=i686;;
        x"Pentium III (Coppermine)") ac_cv_opt_cflags_use_cpu=i686;;
        x"Pentium III (Katmai)") ac_cv_opt_cflags_use_cpu=i686;;
        x"Celeron (Mendocino)") ac_cv_opt_cflags_use_cpu=i686;;
        x"Intel(R) Pentium(R) 4 CPU 1500MHz") ac_cv_opt_cflags_use_cpu=i686;;
        dnl !FIXME! Finish this list!
        *) AC_MSG_WARN(Could not determine CPU type: $ac_cv_opt_cflags_tmp please contact package maintainer.)
           if test x$host_cpu = x ; then
               AC_MSG_ERROR(ac_canonical_host must be called before ac_opt_cflags!)
           fi
           AC_MSG_NOTICE(Found ac_canonical_host: $host_cpu)
           ac_cv_opt_cflags_use_cpu=$host_cpu;;
      esac
    else
      dnl !FIXME! Disable cpu specific instructions entirely if we are not
      dnl building on the target CPU.
      AC_MSG_WARN(Targeting a CPU different from the host... Disabling CPU specific instructions)
      ac_cv_opt_cflags_insn=no
    fi

    if test x$ac_cv_opt_cflags_use_cpu = xbuild ; then
      if test x$build_cpu = x ; then
        AC_MSG_ERROR(ac_canonical_build must be called before ac_opt_cflags!)
      fi
      AC_MSG_NOTICE(Found ac_canonical_build: $build_cpu)
      ac_cv_opt_cflags_use_cpu=$build_cpu
    fi
    if test x$ac_cv_opt_cflags_use_cpu = xhost ; then
      if test x$host_cpu = x ; then
        AC_MSG_ERROR(ac_canonical_host must be called before ac_opt_cflags!)
      fi
      AC_MSG_NOTICE(Found ac_canonical_host: $host_cpu)
      ac_cv_opt_cflags_use_cpu=$host_cpu
    fi
    if test x$ac_cv_opt_cflags_use_cpu = xtarget ; then
      if test x$target_cpu = x ; then
        AC_MSG_ERROR(ac_canonical_target must be called before ac_opt_cflags!)
      fi
      AC_MSG_NOTICE(Found ac_canonical_target: $target_cpu)
      ac_cv_opt_cflags_use_cpu=$target_cpu
    fi

    AC_MSG_NOTICE(Optimising for CPU: $ac_cv_opt_cflags_use_cpu)

    if test x"$RPM_OPT_FLAGS" = "x" ; then
      AC_MSG_WARN(Using CPU specific optimisations!)
      dnl Choose optimisations for each CPU.
      dnl ac_cv_opt_cflags_tmp_flags is the list of prefererd -mcpu= values in order of preference
      dnl ac_cv_opt_cflags_opt_flag_nom is the list of preferred medium optimisation flags in
      dnl order of preference.
      dnl ac_cv_opt_cflags_insn_opt_flag_max is the list of preferred high optimisation flags in
      dnl order of preference.
      case x"$ac_cv_opt_cflags_use_cpu" in
        dnl x86 opts from http://www.tldp.org/LDP/solrhe/Securing-Optimizing-Linux-RH-Edition-v1.3/chap6sec64.html
        x"i686")
          ac_cv_opt_cflags_tmp_flags="i686 pentiumpro i586 pentium i486 i386"
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O9 -O8 -O7 -O6 -O5 -O4 -O3 -O2 -O1 -O"
          CFLAGS="-funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions $CFLAGS"
          ;;
        x"i586")
          ac_cv_opt_cflags_tmp_flags="i586 pentium i486 i386"
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O3 -O2 -O1 -O"
          CFLAGS="-ffast-math -funroll-loops -fomit-frame-pointer -fforce-mem -fforce-addr -fno-exceptions $CFLAGS"
          ;;
        x"i486")
          ac_cv_opt_cflags_tmp_flags="i486 i386"
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O3 -O2 -O1 -O"
          CFLAGS="-funroll-all-loops -fomit-frame-pointer -fno-exceptions $CFLAGS"
          ;;
        dnl AMD optimisations 
        dnl !FIXME! NOT SURE!
        x"k7")
          ac_cv_opt_cflags_tmp_flags="athlon k7 i686 pentiumpro i586 pentium i486 i386"
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O9 -O8 -O7 -O6 -O5 -O4 -O3 -O2 -O1 -O"
          CFLAGS="-fschedule-insns2 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions $CFLAGS"
          ;;
        x"k6")
          ac_cv_opt_cflags_tmp_flags="k6 i686 pentiumpro i586 pentium i486 i386"
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O9 -O8 -O7 -O6 -O5 -O4 -O3 -O2 -O1 -O"
          CFLAGS="-fschedule-insns2 -funroll-loops -ffast-math -fomit-frame-pointer -fno-exceptions $CFLAGS"
          ;;
        dnl Optimisations turned off
        x"nom")
          ac_cv_opt_cflags_tmp_flags=""
          ac_cv_opt_cflags_opt_flag_nom="-O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O2 -O1 -O"
          CFLAGS="$CFLAGS"
          ;;
        dnl Debugging turned on
        x"debug")
          ac_cv_opt_cflags_tmp_flags=""
          ac_cv_opt_cflags_opt_flag_nom="-O"
          ac_cv_opt_cflags_opt_flag_max="-O"
          CFLAGS="-DDEBUG $CFLAGS -g"
          ;;
        dnl No specific optimisations
        x"no")
          ac_cv_opt_cflags_tmp_flags=""
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O3 -O2 -O1 -O"
          CFLAGS="$CFLAGS"
          ;;
        *)
          AC_MSG_WARN(Could not determine CPU type please contact package maintainer.)
          ac_cv_opt_cflags_tmp_flags=""
          ac_cv_opt_cflags_opt_flag_nom="-O3 -O2 -O1 -O"
          ac_cv_opt_cflags_opt_flag_max="-O3 -O2 -O1 -O"
          CFLAGS="$CFLAGS"
          ;;
      esac

      dnl Choose best arch first (only set arch if we may use CPU specific insns)
      if test x"$ac_cv_opt_cflags_tmp_flags" != x ; then
        AC_TRY_FIRST_VALID_ARCH(ac_cv_opt_cflags_tmp_flags)
        if test x$ac_cv_opt_cflags_insn = xyes ; then
          CFLAGS="-march=$ac_cv_opt_cflags_tmp_flags $CFLAGS"
        fi
        CFLAGS="-mcpu=$ac_cv_opt_cflags_tmp_flags $CFLAGS"
      fi

      dnl Now choose the highest available O flag in our range
      AC_TRY_FIRST_VALID_CFLAG(ac_cv_opt_cflags_opt_flag_nom)
      AC_TRY_FIRST_VALID_CFLAG(ac_cv_opt_cflags_opt_flag_max)
    else
      AC_MSG_WARN(Using RPM specified optimisation flags and disabling CPU specific optimisations!)
      ac_cv_opt_cflags_insn=no
      CFLAGS="$CFLAGS $RPM_OPT_FLAGS"
      ac_cv_opt_cflags_opt_flag_nom=""
      ac_cv_opt_cflags_insn_opt_flag_max=""
    fi

    dnl Check CFLAGS
    AC_MSG_NOTICE(Checking CFLAGS against current compiler...)
    AC_TRY_VALID_CFLAGS(CFLAGS)

    dnl Set the optimisation levels
    OPT_CFLAGS="$ac_cv_opt_cflags_opt_flag_max $CFLAGS"
    CFLAGS="$ac_cv_opt_cflags_opt_flag_nom $CFLAGS"
  else
    AC_MSG_NOTICE(ac_opt_cflags called twice! Please contact package maintainer!)
  fi])

# Like AC_CONFIG_HEADER, but automatically create stamp file. -*- Autoconf -*-

# Copyright 1996, 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

AC_PREREQ([2.52])

# serial 6

# AM_CONFIG_HEADER is obsolete.  It has been replaced by AC_CONFIG_HEADERS.
AU_DEFUN([AM_CONFIG_HEADER], [AC_CONFIG_HEADERS($@)])

# Do all the work for Automake.                            -*- Autoconf -*-

# This macro actually does too much some checks are only needed if
# your package does certain things.  But this isn't really a big deal.

# Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 10

AC_PREREQ([2.54])

# Autoconf 2.50 wants to disallow AM_ names.  We explicitly allow
# the ones we care about.
m4_pattern_allow([^AM_[A-Z]+FLAGS$])dnl

# AM_INIT_AUTOMAKE(PACKAGE, VERSION, [NO-DEFINE])
# AM_INIT_AUTOMAKE([OPTIONS])
# -----------------------------------------------
# The call with PACKAGE and VERSION arguments is the old style
# call (pre autoconf-2.50), which is being phased out.  PACKAGE
# and VERSION should now be passed to AC_INIT and removed from
# the call to AM_INIT_AUTOMAKE.
# We support both call styles for the transition.  After
# the next Automake release, Autoconf can make the AC_INIT
# arguments mandatory, and then we can depend on a new Autoconf
# release and drop the old call support.
AC_DEFUN([AM_INIT_AUTOMAKE],
[AC_REQUIRE([AM_SET_CURRENT_AUTOMAKE_VERSION])dnl
 AC_REQUIRE([AC_PROG_INSTALL])dnl
# test to see if srcdir already configured
if test "`cd $srcdir && pwd`" != "`pwd`" &&
   test -f $srcdir/config.status; then
  AC_MSG_ERROR([source directory already configured; run "make distclean" there first])
fi

# test whether we have cygpath
if test -z "$CYGPATH_W"; then
  if (cygpath --version) >/dev/null 2>/dev/null; then
    CYGPATH_W='cygpath -w'
  else
    CYGPATH_W=echo
  fi
fi
AC_SUBST([CYGPATH_W])

# Define the identity of the package.
dnl Distinguish between old-style and new-style calls.
m4_ifval([$2],
[m4_ifval([$3], [_AM_SET_OPTION([no-define])])dnl
 AC_SUBST([PACKAGE], [$1])dnl
 AC_SUBST([VERSION], [$2])],
[_AM_SET_OPTIONS([$1])dnl
 AC_SUBST([PACKAGE], ['AC_PACKAGE_TARNAME'])dnl
 AC_SUBST([VERSION], ['AC_PACKAGE_VERSION'])])dnl

_AM_IF_OPTION([no-define],,
[AC_DEFINE_UNQUOTED(PACKAGE, "$PACKAGE", [Name of package])
 AC_DEFINE_UNQUOTED(VERSION, "$VERSION", [Version number of package])])dnl

# Some tools Automake needs.
AC_REQUIRE([AM_SANITY_CHECK])dnl
AC_REQUIRE([AC_ARG_PROGRAM])dnl
AM_MISSING_PROG(ACLOCAL, aclocal-${am__api_version})
AM_MISSING_PROG(AUTOCONF, autoconf)
AM_MISSING_PROG(AUTOMAKE, automake-${am__api_version})
AM_MISSING_PROG(AUTOHEADER, autoheader)
AM_MISSING_PROG(MAKEINFO, makeinfo)
AM_MISSING_PROG(AMTAR, tar)
AM_PROG_INSTALL_SH
AM_PROG_INSTALL_STRIP
# We need awk for the "check" target.  The system "awk" is bad on
# some platforms.
AC_REQUIRE([AC_PROG_AWK])dnl
AC_REQUIRE([AC_PROG_MAKE_SET])dnl
AC_REQUIRE([AM_SET_LEADING_DOT])dnl

_AM_IF_OPTION([no-dependencies],,
[AC_PROVIDE_IFELSE([AC_PROG_CC],
                  [_AM_DEPENDENCIES(CC)],
                  [define([AC_PROG_CC],
                          defn([AC_PROG_CC])[_AM_DEPENDENCIES(CC)])])dnl
AC_PROVIDE_IFELSE([AC_PROG_CXX],
                  [_AM_DEPENDENCIES(CXX)],
                  [define([AC_PROG_CXX],
                          defn([AC_PROG_CXX])[_AM_DEPENDENCIES(CXX)])])dnl
])
])


# When config.status generates a header, we must update the stamp-h file.
# This file resides in the same directory as the config header
# that is generated.  The stamp files are numbered to have different names.

# Autoconf calls _AC_AM_CONFIG_HEADER_HOOK (when defined) in the
# loop where config.status creates the headers, so we can generate
# our stamp files there.
AC_DEFUN([_AC_AM_CONFIG_HEADER_HOOK],
[# Compute $1's index in $config_headers.
_am_stamp_count=1
for _am_header in $config_headers :; do
  case $_am_header in
    $1 | $1:* )
      break ;;
    * )
      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  esac
done
echo "timestamp for $1" >`AS_DIRNAME([$1])`/stamp-h[]$_am_stamp_count])

# Copyright 2002  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA

# AM_AUTOMAKE_VERSION(VERSION)
# ----------------------------
# Automake X.Y traces this macro to ensure aclocal.m4 has been
# generated from the m4 files accompanying Automake X.Y.
AC_DEFUN([AM_AUTOMAKE_VERSION],[am__api_version="1.7"])

# AM_SET_CURRENT_AUTOMAKE_VERSION
# -------------------------------
# Call AM_AUTOMAKE_VERSION so it can be traced.
# This function is AC_REQUIREd by AC_INIT_AUTOMAKE.
AC_DEFUN([AM_SET_CURRENT_AUTOMAKE_VERSION],
	 [AM_AUTOMAKE_VERSION([1.7.9])])

# Helper functions for option handling.                    -*- Autoconf -*-

# Copyright 2001, 2002  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 2

# _AM_MANGLE_OPTION(NAME)
# -----------------------
AC_DEFUN([_AM_MANGLE_OPTION],
[[_AM_OPTION_]m4_bpatsubst($1, [[^a-zA-Z0-9_]], [_])])

# _AM_SET_OPTION(NAME)
# ------------------------------
# Set option NAME.  Presently that only means defining a flag for this option.
AC_DEFUN([_AM_SET_OPTION],
[m4_define(_AM_MANGLE_OPTION([$1]), 1)])

# _AM_SET_OPTIONS(OPTIONS)
# ----------------------------------
# OPTIONS is a space-separated list of Automake options.
AC_DEFUN([_AM_SET_OPTIONS],
[AC_FOREACH([_AM_Option], [$1], [_AM_SET_OPTION(_AM_Option)])])

# _AM_IF_OPTION(OPTION, IF-SET, [IF-NOT-SET])
# -------------------------------------------
# Execute IF-SET if OPTION is set, IF-NOT-SET otherwise.
AC_DEFUN([_AM_IF_OPTION],
[m4_ifset(_AM_MANGLE_OPTION([$1]), [$2], [$3])])

#
# Check to make sure that the build environment is sane.
#

# Copyright 1996, 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 3

# AM_SANITY_CHECK
# ---------------
AC_DEFUN([AM_SANITY_CHECK],
[AC_MSG_CHECKING([whether build environment is sane])
# Just in case
sleep 1
echo timestamp > conftest.file
# Do `set' in a subshell so we don't clobber the current shell's
# arguments.  Must try -L first in case configure is actually a
# symlink; some systems play weird games with the mod time of symlinks
# (eg FreeBSD returns the mod time of the symlink's containing
# directory).
if (
   set X `ls -Lt $srcdir/configure conftest.file 2> /dev/null`
   if test "$[*]" = "X"; then
      # -L didn't work.
      set X `ls -t $srcdir/configure conftest.file`
   fi
   rm -f conftest.file
   if test "$[*]" != "X $srcdir/configure conftest.file" \
      && test "$[*]" != "X conftest.file $srcdir/configure"; then

      # If neither matched, then we have a broken ls.  This can happen
      # if, for instance, CONFIG_SHELL is bash and it inherits a
      # broken ls alias from the environment.  This has actually
      # happened.  Such a system could not be considered "sane".
      AC_MSG_ERROR([ls -t appears to fail.  Make sure there is not a broken
alias in your environment])
   fi

   test "$[2]" = conftest.file
   )
then
   # Ok.
   :
else
   AC_MSG_ERROR([newly created file is older than distributed files!
Check your system clock])
fi
AC_MSG_RESULT(yes)])

#  -*- Autoconf -*-


# Copyright 1997, 1999, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 3

# AM_MISSING_PROG(NAME, PROGRAM)
# ------------------------------
AC_DEFUN([AM_MISSING_PROG],
[AC_REQUIRE([AM_MISSING_HAS_RUN])
$1=${$1-"${am_missing_run}$2"}
AC_SUBST($1)])


# AM_MISSING_HAS_RUN
# ------------------
# Define MISSING if not defined so far and test if it supports --run.
# If it does, set am_missing_run to use it, otherwise, to nothing.
AC_DEFUN([AM_MISSING_HAS_RUN],
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
test x"${MISSING+set}" = xset || MISSING="\${SHELL} $am_aux_dir/missing"
# Use eval to expand $SHELL
if eval "$MISSING --run true"; then
  am_missing_run="$MISSING --run "
else
  am_missing_run=
  AC_MSG_WARN([`missing' script is too old or missing])
fi
])

# AM_AUX_DIR_EXPAND

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# For projects using AC_CONFIG_AUX_DIR([foo]), Autoconf sets
# $ac_aux_dir to `$srcdir/foo'.  In other projects, it is set to
# `$srcdir', `$srcdir/..', or `$srcdir/../..'.
#
# Of course, Automake must honor this variable whenever it calls a
# tool from the auxiliary directory.  The problem is that $srcdir (and
# therefore $ac_aux_dir as well) can be either absolute or relative,
# depending on how configure is run.  This is pretty annoying, since
# it makes $ac_aux_dir quite unusable in subdirectories: in the top
# source directory, any form will work fine, but in subdirectories a
# relative path needs to be adjusted first.
#
# $ac_aux_dir/missing
#    fails when called from a subdirectory if $ac_aux_dir is relative
# $top_srcdir/$ac_aux_dir/missing
#    fails if $ac_aux_dir is absolute,
#    fails when called from a subdirectory in a VPATH build with
#          a relative $ac_aux_dir
#
# The reason of the latter failure is that $top_srcdir and $ac_aux_dir
# are both prefixed by $srcdir.  In an in-source build this is usually
# harmless because $srcdir is `.', but things will broke when you
# start a VPATH build or use an absolute $srcdir.
#
# So we could use something similar to $top_srcdir/$ac_aux_dir/missing,
# iff we strip the leading $srcdir from $ac_aux_dir.  That would be:
#   am_aux_dir='\$(top_srcdir)/'`expr "$ac_aux_dir" : "$srcdir//*\(.*\)"`
# and then we would define $MISSING as
#   MISSING="\${SHELL} $am_aux_dir/missing"
# This will work as long as MISSING is not called from configure, because
# unfortunately $(top_srcdir) has no meaning in configure.
# However there are other variables, like CC, which are often used in
# configure, and could therefore not use this "fixed" $ac_aux_dir.
#
# Another solution, used here, is to always expand $ac_aux_dir to an
# absolute PATH.  The drawback is that using absolute paths prevent a
# configured tree to be moved without reconfiguration.

# Rely on autoconf to set up CDPATH properly.
AC_PREREQ([2.50])

AC_DEFUN([AM_AUX_DIR_EXPAND], [
# expand $ac_aux_dir to an absolute path
am_aux_dir=`cd $ac_aux_dir && pwd`
])

# AM_PROG_INSTALL_SH
# ------------------
# Define $install_sh.

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

AC_DEFUN([AM_PROG_INSTALL_SH],
[AC_REQUIRE([AM_AUX_DIR_EXPAND])dnl
install_sh=${install_sh-"$am_aux_dir/install-sh"}
AC_SUBST(install_sh)])

# AM_PROG_INSTALL_STRIP

# Copyright 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# One issue with vendor `install' (even GNU) is that you can't
# specify the program used to strip binaries.  This is especially
# annoying in cross-compiling environments, where the build's strip
# is unlikely to handle the host's binaries.
# Fortunately install-sh will honor a STRIPPROG variable, so we
# always use install-sh in `make install-strip', and initialize
# STRIPPROG with the value of the STRIP variable (set by the user).
AC_DEFUN([AM_PROG_INSTALL_STRIP],
[AC_REQUIRE([AM_PROG_INSTALL_SH])dnl
# Installed binaries are usually stripped using `strip' when the user
# run `make install-strip'.  However `strip' might not be the right
# tool to use in cross-compilation environments, therefore Automake
# will honor the `STRIP' environment variable to overrule this program.
dnl Don't test for $cross_compiling = yes, because it might be `maybe'.
if test "$cross_compiling" != no; then
  AC_CHECK_TOOL([STRIP], [strip], :)
fi
INSTALL_STRIP_PROGRAM="\${SHELL} \$(install_sh) -c -s"
AC_SUBST([INSTALL_STRIP_PROGRAM])])

#                                                          -*- Autoconf -*-
# Copyright (C) 2003  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 1

# Check whether the underlying file-system supports filenames
# with a leading dot.  For instance MS-DOS doesn't.
AC_DEFUN([AM_SET_LEADING_DOT],
[rm -rf .tst 2>/dev/null
mkdir .tst 2>/dev/null
if test -d .tst; then
  am__leading_dot=.
else
  am__leading_dot=_
fi
rmdir .tst 2>/dev/null
AC_SUBST([am__leading_dot])])

# serial 5						-*- Autoconf -*-

# Copyright (C) 1999, 2000, 2001, 2002, 2003  Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.


# There are a few dirty hacks below to avoid letting `AC_PROG_CC' be
# written in clear, in which case automake, when reading aclocal.m4,
# will think it sees a *use*, and therefore will trigger all it's
# C support machinery.  Also note that it means that autoscan, seeing
# CC etc. in the Makefile, will ask for an AC_PROG_CC use...



# _AM_DEPENDENCIES(NAME)
# ----------------------
# See how the compiler implements dependency checking.
# NAME is "CC", "CXX", "GCJ", or "OBJC".
# We try a few techniques and use that to set a single cache variable.
#
# We don't AC_REQUIRE the corresponding AC_PROG_CC since the latter was
# modified to invoke _AM_DEPENDENCIES(CC); we would have a circular
# dependency, and given that the user is not expected to run this macro,
# just rely on AC_PROG_CC.
AC_DEFUN([_AM_DEPENDENCIES],
[AC_REQUIRE([AM_SET_DEPDIR])dnl
AC_REQUIRE([AM_OUTPUT_DEPENDENCY_COMMANDS])dnl
AC_REQUIRE([AM_MAKE_INCLUDE])dnl
AC_REQUIRE([AM_DEP_TRACK])dnl

ifelse([$1], CC,   [depcc="$CC"   am_compiler_list=],
       [$1], CXX,  [depcc="$CXX"  am_compiler_list=],
       [$1], OBJC, [depcc="$OBJC" am_compiler_list='gcc3 gcc'],
       [$1], GCJ,  [depcc="$GCJ"  am_compiler_list='gcc3 gcc'],
                   [depcc="$$1"   am_compiler_list=])

AC_CACHE_CHECK([dependency style of $depcc],
               [am_cv_$1_dependencies_compiler_type],
[if test -z "$AMDEP_TRUE" && test -f "$am_depcomp"; then
  # We make a subdir and do the tests there.  Otherwise we can end up
  # making bogus files that we don't know about and never remove.  For
  # instance it was reported that on HP-UX the gcc test will end up
  # making a dummy file named `D' -- because `-MD' means `put the output
  # in D'.
  mkdir conftest.dir
  # Copy depcomp to subdir because otherwise we won't find it if we're
  # using a relative directory.
  cp "$am_depcomp" conftest.dir
  cd conftest.dir
  # We will build objects and dependencies in a subdirectory because
  # it helps to detect inapplicable dependency modes.  For instance
  # both Tru64's cc and ICC support -MD to output dependencies as a
  # side effect of compilation, but ICC will put the dependencies in
  # the current directory while Tru64 will put them in the object
  # directory.
  mkdir sub

  am_cv_$1_dependencies_compiler_type=none
  if test "$am_compiler_list" = ""; then
     am_compiler_list=`sed -n ['s/^#*\([a-zA-Z0-9]*\))$/\1/p'] < ./depcomp`
  fi
  for depmode in $am_compiler_list; do
    # Setup a source with many dependencies, because some compilers
    # like to wrap large dependency lists on column 80 (with \), and
    # we should not choose a depcomp mode which is confused by this.
    #
    # We need to recreate these files for each test, as the compiler may
    # overwrite some of them when testing with obscure command lines.
    # This happens at least with the AIX C compiler.
    : > sub/conftest.c
    for i in 1 2 3 4 5 6; do
      echo '#include "conftst'$i'.h"' >> sub/conftest.c
      : > sub/conftst$i.h
    done
    echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf

    case $depmode in
    nosideeffect)
      # after this tag, mechanisms are not by side-effect, so they'll
      # only be used when explicitly requested
      if test "x$enable_dependency_tracking" = xyes; then
	continue
      else
	break
      fi
      ;;
    none) break ;;
    esac
    # We check with `-c' and `-o' for the sake of the "dashmstdout"
    # mode.  It turns out that the SunPro C++ compiler does not properly
    # handle `-M -o', and we need to detect this.
    if depmode=$depmode \
       source=sub/conftest.c object=sub/conftest.${OBJEXT-o} \
       depfile=sub/conftest.Po tmpdepfile=sub/conftest.TPo \
       $SHELL ./depcomp $depcc -c -o sub/conftest.${OBJEXT-o} sub/conftest.c \
         >/dev/null 2>conftest.err &&
       grep sub/conftst6.h sub/conftest.Po > /dev/null 2>&1 &&
       grep sub/conftest.${OBJEXT-o} sub/conftest.Po > /dev/null 2>&1 &&
       ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
      # icc doesn't choke on unknown options, it will just issue warnings
      # (even with -Werror).  So we grep stderr for any message
      # that says an option was ignored.
      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
        am_cv_$1_dependencies_compiler_type=$depmode
        break
      fi
    fi
  done

  cd ..
  rm -rf conftest.dir
else
  am_cv_$1_dependencies_compiler_type=none
fi
])
AC_SUBST([$1DEPMODE], [depmode=$am_cv_$1_dependencies_compiler_type])
AM_CONDITIONAL([am__fastdep$1], [
  test "x$enable_dependency_tracking" != xno \
  && test "$am_cv_$1_dependencies_compiler_type" = gcc3])
])


# AM_SET_DEPDIR
# -------------
# Choose a directory name for dependency files.
# This macro is AC_REQUIREd in _AM_DEPENDENCIES
AC_DEFUN([AM_SET_DEPDIR],
[AC_REQUIRE([AM_SET_LEADING_DOT])dnl
AC_SUBST([DEPDIR], ["${am__leading_dot}deps"])dnl
])


# AM_DEP_TRACK
# ------------
AC_DEFUN([AM_DEP_TRACK],
[AC_ARG_ENABLE(dependency-tracking,
[  --disable-dependency-tracking Speeds up one-time builds
  --enable-dependency-tracking  Do not reject slow dependency extractors])
if test "x$enable_dependency_tracking" != xno; then
  am_depcomp="$ac_aux_dir/depcomp"
  AMDEPBACKSLASH='\'
fi
AM_CONDITIONAL([AMDEP], [test "x$enable_dependency_tracking" != xno])
AC_SUBST([AMDEPBACKSLASH])
])

# Generate code to set up dependency tracking.   -*- Autoconf -*-

# Copyright 1999, 2000, 2001, 2002 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

#serial 2

# _AM_OUTPUT_DEPENDENCY_COMMANDS
# ------------------------------
AC_DEFUN([_AM_OUTPUT_DEPENDENCY_COMMANDS],
[for mf in $CONFIG_FILES; do
  # Strip MF so we end up with the name of the file.
  mf=`echo "$mf" | sed -e 's/:.*$//'`
  # Check whether this is an Automake generated Makefile or not.
  # We used to match only the files named `Makefile.in', but
  # some people rename them; so instead we look at the file content.
  # Grep'ing the first line is not enough: some people post-process
  # each Makefile.in and add a new line on top of each file to say so.
  # So let's grep whole file.
  if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
    dirpart=`AS_DIRNAME("$mf")`
  else
    continue
  fi
  grep '^DEP_FILES *= *[[^ @%:@]]' < "$mf" > /dev/null || continue
  # Extract the definition of DEP_FILES from the Makefile without
  # running `make'.
  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
  test -z "$DEPDIR" && continue
  # When using ansi2knr, U may be empty or an underscore; expand it
  U=`sed -n -e '/^U = / s///p' < "$mf"`
  test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
  # We invoke sed twice because it is the simplest approach to
  # changing $(DEPDIR) to its actual value in the expansion.
  for file in `sed -n -e '
    /^DEP_FILES = .*\\\\$/ {
      s/^DEP_FILES = //
      :loop
	s/\\\\$//
	p
	n
	/\\\\$/ b loop
      p
    }
    /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
       sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
    # Make sure the directory exists.
    test -f "$dirpart/$file" && continue
    fdir=`AS_DIRNAME(["$file"])`
    AS_MKDIR_P([$dirpart/$fdir])
    # echo "creating $dirpart/$file"
    echo '# dummy' > "$dirpart/$file"
  done
done
])# _AM_OUTPUT_DEPENDENCY_COMMANDS


# AM_OUTPUT_DEPENDENCY_COMMANDS
# -----------------------------
# This macro should only be invoked once -- use via AC_REQUIRE.
#
# This code is only required when automatic dependency tracking
# is enabled.  FIXME.  This creates each `.P' file that we will
# need in order to bootstrap the dependency handling code.
AC_DEFUN([AM_OUTPUT_DEPENDENCY_COMMANDS],
[AC_CONFIG_COMMANDS([depfiles],
     [test x"$AMDEP_TRUE" != x"" || _AM_OUTPUT_DEPENDENCY_COMMANDS],
     [AMDEP_TRUE="$AMDEP_TRUE" ac_aux_dir="$ac_aux_dir"])
])

# Check to see how 'make' treats includes.	-*- Autoconf -*-

# Copyright (C) 2001, 2002, 2003 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 2

# AM_MAKE_INCLUDE()
# -----------------
# Check to see how make treats includes.
AC_DEFUN([AM_MAKE_INCLUDE],
[am_make=${MAKE-make}
cat > confinc << 'END'
am__doit:
	@echo done
.PHONY: am__doit
END
# If we don't find an include directive, just comment out the code.
AC_MSG_CHECKING([for style of include used by $am_make])
am__include="#"
am__quote=
_am_result=none
# First try GNU make style include.
echo "include confinc" > confmf
# We grep out `Entering directory' and `Leaving directory'
# messages which can occur if `w' ends up in MAKEFLAGS.
# In particular we don't look at `^make:' because GNU make might
# be invoked under some other name (usually "gmake"), in which
# case it prints its new name instead of `make'.
if test "`$am_make -s -f confmf 2> /dev/null | grep -v 'ing directory'`" = "done"; then
   am__include=include
   am__quote=
   _am_result=GNU
fi
# Now try BSD make style include.
if test "$am__include" = "#"; then
   echo '.include "confinc"' > confmf
   if test "`$am_make -s -f confmf 2> /dev/null`" = "done"; then
      am__include=.include
      am__quote="\""
      _am_result=BSD
   fi
fi
AC_SUBST([am__include])
AC_SUBST([am__quote])
AC_MSG_RESULT([$_am_result])
rm -f confinc confmf
])

# AM_CONDITIONAL                                              -*- Autoconf -*-

# Copyright 1997, 2000, 2001 Free Software Foundation, Inc.

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.

# serial 5

AC_PREREQ(2.52)

# AM_CONDITIONAL(NAME, SHELL-CONDITION)
# -------------------------------------
# Define a conditional.
AC_DEFUN([AM_CONDITIONAL],
[ifelse([$1], [TRUE],  [AC_FATAL([$0: invalid condition: $1])],
        [$1], [FALSE], [AC_FATAL([$0: invalid condition: $1])])dnl
AC_SUBST([$1_TRUE])
AC_SUBST([$1_FALSE])
if $2; then
  $1_TRUE=
  $1_FALSE='#'
else
  $1_TRUE='#'
  $1_FALSE=
fi
AC_CONFIG_COMMANDS_PRE(
[if test -z "${$1_TRUE}" && test -z "${$1_FALSE}"; then
  AC_MSG_ERROR([conditional "$1" was never defined.
Usually this means the macro was only invoked conditionally.])
fi])])

